Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158588 - saslauthd configured for pam fails authentication for yp users
Summary: saslauthd configured for pam fails authentication for yp users
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-23 19:48 UTC by Thomas J. Baker
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.23.16-7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-04 23:45:23 UTC


Attachments (Terms of Use)
/var/log/audit/audit.log of errors (deleted)
2005-05-23 19:54 UTC, Thomas J. Baker
no flags Details

Description Thomas J. Baker 2005-05-23 19:48:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050512 Fedora/1.0.4-2 Firefox/1.0.4

Description of problem:
When sendmail is set to authenticate to relay and saslauthd is set to use pam, I get selinux errrors authenticating yp users.

Version-Release number of selected component (if applicable):
cyrus-sasl-2.1.20-5, selinux-policy-targeted-1.23.16-6

How reproducible:
Always

Steps to Reproduce:
1.set up sendmail to authenticate to relay and saslauthd to use pam
2.try to send mail using a yp account
3.
  

Actual Results:  selinux prevents authentication

Expected Results:  authentication works and I can send mail.

Additional info:

dovecot it having similiar problems with authenticating yp users.

Comment 1 Thomas J. Baker 2005-05-23 19:54:28 UTC
Created attachment 114738 [details]
/var/log/audit/audit.log of errors

/var/log/audit/audit.log of errors

Comment 2 Daniel Walsh 2005-05-23 21:06:18 UTC
Fixed in selinux-policy-targeted-1.23.16-7


Note You need to log in before you can comment on or make changes to this bug.